Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
ossl_bio.h File Reference

Go to the source code of this file.

## Functions
BIO * | ossl_obj2bio (volatile VALUE *)
VALUE | ossl_membio2str (BIO *)

## Function Documentation

## ◆ ossl_membio2str()

VALUE ossl_membio2str | ( | BIO * |  | ) |

Definition at line 29 of file ossl_bio.c.

References buf, ossl_str_new(), and rb_jump_tag().

## ◆ ossl_obj2bio()

BIO* ossl_obj2bio | ( | volatile VALUE * |  | ) |

Definition at line 13 of file ossl_bio.c.

References eOSSLError, NULL, obj, ossl_raise(), rb_funcallv, rb_intern, RB_TYPE_P, RSTRING_LENINT, RSTRING_PTR, StringValue(), and T_FILE.

Referenced by DupConfigPtr().